<?xml version="1.0" encoding="UTF-8"?>
<document type="com.apple.InterfaceBuilder3.CocoaTouch.XIB" version="3.0" toolsVersion="32700.99.1234" targetRuntime="iOS.CocoaTouch" propertyAccessControl="none" useAutolayout="YES" useTraitCollections="YES" useSafeAreas="YES" colorMatched="YES">
    <device id="retina6_1" orientation="portrait" appearance="light"/>
    <dependencies>
        <deployment identifier="iOS"/>
        <plugIn identifier="com.apple.InterfaceBuilder.IBCocoaTouchPlugin" version="22684"/>
        <capability name="Safe area layout guides" minToolsVersion="9.0"/>
        <capability name="System colors in document resources" minToolsVersion="11.0"/>
        <capability name="documents saved in the Xcode 8 format" minToolsVersion="8.0"/>
    </dependencies>
    <objects>
        <placeholder placeholderIdentifier="IBFilesOwner" id="-1" userLabel="File's Owner" customClass="HygrothermographVC">
            <connections>
                <outlet property="bleStatusLabel" destination="VwK-CG-OF6" id="EY5-XX-CAi"/>
                <outlet property="logTextView" destination="GHh-c0-Wjg" id="xxs-jf-pcz"/>
                <outlet property="view" destination="i5M-Pr-FkT" id="sfx-zR-JGt"/>
            </connections>
        </placeholder>
        <placeholder placeholderIdentifier="IBFirstResponder" id="-2" customClass="UIResponder"/>
        <view clearsContextBeforeDrawing="NO" contentMode="scaleToFill" id="i5M-Pr-FkT">
            <rect key="frame" x="0.0" y="0.0" width="414" height="896"/>
            <autoresizingMask key="autoresizingMask" widthSizable="YES" heightSizable="YES"/>
            <subviews>
                <label opaque="NO" userInteractionEnabled="NO" contentMode="left" horizontalHuggingPriority="251" verticalHuggingPriority="251" text="bleStatus" textAlignment="natural" lineBreakMode="tailTruncation" baselineAdjustment="alignBaselines" adjustsFontSizeToFit="NO" translatesAutoresizingMaskIntoConstraints="NO" id="VwK-CG-OF6">
                    <rect key="frame" x="171" y="56" width="72" height="20.5"/>
                    <fontDescription key="fontDescription" type="system" pointSize="17"/>
                    <nil key="textColor"/>
                    <nil key="highlightedColor"/>
                </label>
                <view contentMode="scaleToFill" translatesAutoresizingMaskIntoConstraints="NO" id="8z3-vr-ygd" userLabel="function View">
                    <rect key="frame" x="0.0" y="76.5" width="414" height="285.5"/>
                    <subviews>
                        <scrollView clipsSubviews="YES" multipleTouchEnabled="YES" contentMode="scaleToFill" translatesAutoresizingMaskIntoConstraints="NO" id="U10-eG-SAM">
                            <rect key="frame" x="0.0" y="0.0" width="414" height="285.5"/>
                            <subviews>
                                <view contentMode="scaleToFill" translatesAutoresizingMaskIntoConstraints="NO" id="mSN-7W-Qrz">
                                    <rect key="frame" x="0.0" y="0.0" width="414" height="200"/>
                                    <subviews>
                                        <view contentMode="scaleToFill" translatesAutoresizingMaskIntoConstraints="NO" id="NGc-b4-0nY">
                                            <rect key="frame" x="0.0" y="0.0" width="414" height="200"/>
                                            <subviews>
                                                <button opaque="NO" contentMode="scaleToFill" contentHorizontalAlignment="center" contentVerticalAlignment="center" buttonType="system" lineBreakMode="middleTruncation" translatesAutoresizingMaskIntoConstraints="NO" id="rXQ-CP-ESp">
                                                    <rect key="frame" x="8" y="8" width="93.5" height="35"/>
                                                    <inset key="imageEdgeInsets" minX="0.0" minY="0.0" maxX="2.2250738585072014e-308" maxY="0.0"/>
                                                    <state key="normal" title="Button"/>
                                                    <buttonConfiguration key="configuration" style="filled" title="获取状态"/>
                                                    <connections>
                                                        <action selector="getDevStateAction:" destination="-1" eventType="touchUpInside" id="QPL-e7-DVe"/>
                                                    </connections>
                                                </button>
                                                <button opaque="NO" contentMode="scaleToFill" contentHorizontalAlignment="center" contentVerticalAlignment="center" buttonType="system" lineBreakMode="middleTruncation" translatesAutoresizingMaskIntoConstraints="NO" id="ihZ-N4-8OS">
                                                    <rect key="frame" x="109.5" y="8" width="93.5" height="35"/>
                                                    <inset key="imageEdgeInsets" minX="0.0" minY="0.0" maxX="2.2250738585072014e-308" maxY="0.0"/>
                                                    <state key="normal" title="Button"/>
                                                    <buttonConfiguration key="configuration" style="filled" title="历史记录"/>
                                                    <connections>
                                                        <action selector="getDevHisDataAction:" destination="-1" eventType="touchUpInside" id="Jru-nr-M0j"/>
                                                    </connections>
                                                </button>
                                            </subviews>
                                            <color key="backgroundColor" systemColor="systemBackgroundColor"/>
                                            <constraints>
                                                <constraint firstAttribute="height" constant="200" id="2Si-L8-xuy"/>
                                                <constraint firstItem="ihZ-N4-8OS" firstAttribute="top" secondItem="NGc-b4-0nY" secondAttribute="top" constant="8" id="FGG-iR-Eho"/>
                                                <constraint firstItem="rXQ-CP-ESp" firstAttribute="leading" secondItem="NGc-b4-0nY" secondAttribute="leading" constant="8" id="YGz-dq-sxI"/>
                                                <constraint firstItem="ihZ-N4-8OS" firstAttribute="leading" secondItem="rXQ-CP-ESp" secondAttribute="trailing" constant="8" id="jVR-Et-HJP"/>
                                                <constraint firstItem="rXQ-CP-ESp" firstAttribute="top" secondItem="NGc-b4-0nY" secondAttribute="top" constant="8" id="s1S-0R-2qx"/>
                                            </constraints>
                                        </view>
                                    </subviews>
                                    <color key="backgroundColor" systemColor="opaqueSeparatorColor"/>
                                    <constraints>
                                        <constraint firstAttribute="trailing" secondItem="NGc-b4-0nY" secondAttribute="trailing" id="ITL-E7-gcs"/>
                                        <constraint firstItem="NGc-b4-0nY" firstAttribute="leading" secondItem="mSN-7W-Qrz" secondAttribute="leading" id="TI7-8S-nBa"/>
                                        <constraint firstAttribute="bottom" secondItem="NGc-b4-0nY" secondAttribute="bottom" id="de7-8H-oe7"/>
                                        <constraint firstItem="NGc-b4-0nY" firstAttribute="top" secondItem="mSN-7W-Qrz" secondAttribute="top" id="ocn-8d-8xz"/>
                                    </constraints>
                                </view>
                            </subviews>
                            <constraints>
                                <constraint firstItem="mSN-7W-Qrz" firstAttribute="leading" secondItem="aZs-kl-ZHf" secondAttribute="leading" id="7tJ-GX-DNs"/>
                                <constraint firstItem="mSN-7W-Qrz" firstAttribute="bottom" secondItem="aZs-kl-ZHf" secondAttribute="bottom" id="Gs6-U2-hhM"/>
                                <constraint firstItem="mSN-7W-Qrz" firstAttribute="top" secondItem="aZs-kl-ZHf" secondAttribute="top" id="aZY-4I-yXu"/>
                                <constraint firstItem="mSN-7W-Qrz" firstAttribute="width" secondItem="wX6-lP-c3p" secondAttribute="width" id="abk-Nw-HNF"/>
                                <constraint firstItem="mSN-7W-Qrz" firstAttribute="trailing" secondItem="aZs-kl-ZHf" secondAttribute="trailing" id="phZ-AJ-avA"/>
                            </constraints>
                            <viewLayoutGuide key="contentLayoutGuide" id="aZs-kl-ZHf"/>
                            <viewLayoutGuide key="frameLayoutGuide" id="wX6-lP-c3p"/>
                        </scrollView>
                    </subviews>
                    <color key="backgroundColor" systemColor="systemBackgroundColor"/>
                    <constraints>
                        <constraint firstItem="U10-eG-SAM" firstAttribute="top" secondItem="8z3-vr-ygd" secondAttribute="top" id="S9W-Iq-00r"/>
                        <constraint firstItem="U10-eG-SAM" firstAttribute="leading" secondItem="8z3-vr-ygd" secondAttribute="leading" id="Xuh-Ie-dvi"/>
                        <constraint firstAttribute="bottom" secondItem="U10-eG-SAM" secondAttribute="bottom" id="dfh-bo-OHl"/>
                        <constraint firstAttribute="trailing" secondItem="U10-eG-SAM" secondAttribute="trailing" id="pGu-ep-cNI"/>
                    </constraints>
                </view>
                <view contentMode="scaleToFill" translatesAutoresizingMaskIntoConstraints="NO" id="Yl9-ZE-Kry" userLabel="log View">
                    <rect key="frame" x="0.0" y="362" width="414" height="500"/>
                    <subviews>
                        <button hidden="YES" opaque="NO" contentMode="scaleToFill" contentHorizontalAlignment="center" contentVerticalAlignment="center" buttonType="system" lineBreakMode="middleTruncation" translatesAutoresizingMaskIntoConstraints="NO" id="3Gu-jE-2jb">
                            <rect key="frame" x="375" y="8" width="31" height="30"/>
                            <inset key="imageEdgeInsets" minX="0.0" minY="0.0" maxX="2.2250738585072014e-308" maxY="0.0"/>
                            <state key="normal" title="分享"/>
                            <connections>
                                <action selector="shareLogAction:" destination="-1" eventType="touchUpInside" id="OfN-G4-xzl"/>
                            </connections>
                        </button>
                        <button opaque="NO" contentMode="scaleToFill" contentHorizontalAlignment="center" contentVerticalAlignment="center" buttonType="system" lineBreakMode="middleTruncation" translatesAutoresizingMaskIntoConstraints="NO" id="KP0-Ot-okp">
                            <rect key="frame" x="8" y="8" width="31" height="30"/>
                            <inset key="imageEdgeInsets" minX="0.0" minY="0.0" maxX="2.2250738585072014e-308" maxY="0.0"/>
                            <state key="normal" title="清空"/>
                            <connections>
                                <action selector="clearAction:" destination="-1" eventType="touchUpInside" id="1EJ-AL-hPN"/>
                            </connections>
                        </button>
                        <view clipsSubviews="YES" contentMode="scaleToFill" translatesAutoresizingMaskIntoConstraints="NO" id="uuF-Pb-896">
                            <rect key="frame" x="8" y="40" width="398" height="460"/>
                            <subviews>
                                <textView clipsSubviews="YES" multipleTouchEnabled="YES" contentMode="scaleToFill" showsHorizontalScrollIndicator="NO" indicatorStyle="white" editable="NO" selectable="NO" translatesAutoresizingMaskIntoConstraints="NO" id="GHh-c0-Wjg">
                                    <rect key="frame" x="0.0" y="0.0" width="398" height="460"/>
                                    <color key="backgroundColor" systemColor="labelColor"/>
                                    <color key="textColor" systemColor="opaqueSeparatorColor"/>
                                    <fontDescription key="fontDescription" name="HelveticaNeue-Light" family="Helvetica Neue" pointSize="10"/>
                                    <textInputTraits key="textInputTraits" autocapitalizationType="sentences"/>
                                </textView>
                            </subviews>
                            <color key="backgroundColor" systemColor="systemBackgroundColor"/>
                            <constraints>
                                <constraint firstAttribute="trailing" secondItem="GHh-c0-Wjg" secondAttribute="trailing" id="5GX-ku-ALY"/>
                                <constraint firstItem="GHh-c0-Wjg" firstAttribute="top" secondItem="uuF-Pb-896" secondAttribute="top" id="ImL-ya-rrZ"/>
                                <constraint firstItem="GHh-c0-Wjg" firstAttribute="leading" secondItem="uuF-Pb-896" secondAttribute="leading" id="TGU-Uo-xyG"/>
                                <constraint firstAttribute="bottom" secondItem="GHh-c0-Wjg" secondAttribute="bottom" id="wSu-a4-VlU"/>
                            </constraints>
                            <userDefinedRuntimeAttributes>
                                <userDefinedRuntimeAttribute type="number" keyPath="cornerRadius">
                                    <real key="value" value="8"/>
                                </userDefinedRuntimeAttribute>
                            </userDefinedRuntimeAttributes>
                        </view>
                    </subviews>
                    <color key="backgroundColor" systemColor="systemBackgroundColor"/>
                    <constraints>
                        <constraint firstItem="3Gu-jE-2jb" firstAttribute="top" secondItem="Yl9-ZE-Kry" secondAttribute="top" constant="8" id="35c-rh-qK1"/>
                        <constraint firstItem="uuF-Pb-896" firstAttribute="top" secondItem="Yl9-ZE-Kry" secondAttribute="top" constant="40" id="K4g-O6-yhA"/>
                        <constraint firstAttribute="trailing" secondItem="uuF-Pb-896" secondAttribute="trailing" constant="8" id="Vzh-JM-ZmP"/>
                        <constraint firstItem="uuF-Pb-896" firstAttribute="leading" secondItem="Yl9-ZE-Kry" secondAttribute="leading" constant="8" id="WWk-ml-mVT"/>
                        <constraint firstItem="KP0-Ot-okp" firstAttribute="leading" secondItem="Yl9-ZE-Kry" secondAttribute="leading" constant="8" id="XM1-ox-R8U"/>
                        <constraint firstItem="KP0-Ot-okp" firstAttribute="top" secondItem="Yl9-ZE-Kry" secondAttribute="top" constant="8" id="a7e-N1-xYn"/>
                        <constraint firstAttribute="bottom" secondItem="uuF-Pb-896" secondAttribute="bottom" id="aqN-yF-Gy7"/>
                        <constraint firstAttribute="trailing" secondItem="3Gu-jE-2jb" secondAttribute="trailing" constant="8" id="mvs-ec-Zo8"/>
                        <constraint firstAttribute="height" constant="500" id="t8y-fG-jGh"/>
                    </constraints>
                </view>
            </subviews>
            <viewLayoutGuide key="safeArea" id="Q5M-cg-NOt"/>
            <color key="backgroundColor" systemColor="systemBackgroundColor"/>
            <constraints>
                <constraint firstItem="8z3-vr-ygd" firstAttribute="leading" secondItem="Q5M-cg-NOt" secondAttribute="leading" id="52b-xf-auY"/>
                <constraint firstItem="VwK-CG-OF6" firstAttribute="top" secondItem="Q5M-cg-NOt" secondAttribute="top" constant="8" id="E4P-7k-NF0"/>
                <constraint firstItem="Yl9-ZE-Kry" firstAttribute="trailing" secondItem="Q5M-cg-NOt" secondAttribute="trailing" id="QQb-Uq-bn9"/>
                <constraint firstItem="Q5M-cg-NOt" firstAttribute="bottom" secondItem="Yl9-ZE-Kry" secondAttribute="bottom" id="Rxg-wZ-5R0"/>
                <constraint firstItem="VwK-CG-OF6" firstAttribute="centerX" secondItem="i5M-Pr-FkT" secondAttribute="centerX" id="VR9-ll-PVV"/>
                <constraint firstItem="8z3-vr-ygd" firstAttribute="top" secondItem="VwK-CG-OF6" secondAttribute="bottom" id="bd5-qo-9la"/>
                <constraint firstItem="Yl9-ZE-Kry" firstAttribute="top" secondItem="8z3-vr-ygd" secondAttribute="bottom" id="gUC-Q1-aih"/>
                <constraint firstItem="Q5M-cg-NOt" firstAttribute="trailing" secondItem="8z3-vr-ygd" secondAttribute="trailing" id="oYg-QB-UYJ"/>
                <constraint firstItem="Yl9-ZE-Kry" firstAttribute="leading" secondItem="Q5M-cg-NOt" secondAttribute="leading" id="vch-Xs-qPf"/>
            </constraints>
            <point key="canvasLocation" x="97.101449275362327" y="20.758928571428569"/>
        </view>
    </objects>
    <resources>
        <systemColor name="labelColor">
            <color white="0.0" alpha="1" colorSpace="custom" customColorSpace="genericGamma22GrayColorSpace"/>
        </systemColor>
        <systemColor name="opaqueSeparatorColor">
            <color red="0.77647058820000003" green="0.77647058820000003" blue="0.7843137255" alpha="1" colorSpace="custom" customColorSpace="sRGB"/>
        </systemColor>
        <systemColor name="systemBackgroundColor">
            <color white="1" alpha="1" colorSpace="custom" customColorSpace="genericGamma22GrayColorSpace"/>
        </systemColor>
    </resources>
</document>
